use std::fs;
use std::collections::HashMap;

pub fn solve() {
    let path = "res/16/input.txt";

    let contents = fs::read_to_string(path).expect("File read error");

    let mut valves = HashMap::<String, (i32, Vec::<String>)>::new();
    contents
        .lines()
        .filter(|line| *line != "")
        .for_each(|line| {
            let (valve, conn_valves) = line.split_at(line.find(";").unwrap());
            
            let conn_valves = conn_valves
                .replace("; tunnels lead to valve", "")
                .replace("s", "")
                .replace(" ", "");
            let conn_valves: Vec<&str> = conn_valves.split(",").collect();
            let conn_valves: Vec<String> = conn_valves.iter().map(|c| c.to_string()).collect();

            let valve: Vec<&str> = valve.split_whitespace().collect();
            let flow_rate = valve[4].replace("rate=", "").parse::<i32>().unwrap();
            let valve = valve[1].to_string();

            valves.insert(valve, (flow_rate, conn_valves));
        });

    dbg!(valves);
}